FLANG

Public Member Functions | List of all members
Fortran::parser::Parsing Class Reference

## Public Member Functions
| Parsing (AllSources &)
bool | consumedWholeFile () const
const char * | finalRestingPlace () const
CookedSource & | cooked ()
Messages & | messages ()
std::optional< Program > & | parseTree ()
const SourceFile * | Prescan (const std::string &path, Options)
void | DumpCookedChars (llvm::raw_ostream &) const
void | DumpProvenance (llvm::raw_ostream &) const
void | DumpParsingLog (llvm::raw_ostream &) const
void | Parse (llvm::raw_ostream &debugOutput)
void | ClearLog ()
void | EmitMessage (llvm::raw_ostream &o, const char *at, const std::string &message, bool echoSourceLine=false) const
bool | ForTesting (std::string path, llvm::raw_ostream &)

The documentation for this class was generated from the following files:

- include/flang/Parser/parsing.h
- lib/Parser/parsing.cpp